#! /bin/sh
# ----------------------------------------------------------------------------
# /tmp/install.sh - dhcpd_debug installation
#
# Creation   : 2011-05-20 root
# Last update: $Id: install.sh 58194 2018-09-30 18:31:12Z hbfl $
#
# Copyright (c) 2011 Maximilian Pasternak, max(dot)eisfair(at)bluescreen(dot)de
# Copyright (c) 2018-2019 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ----------------------------------------------------------------------------

# set package name
package_name=dhcpd_debug

# ----------------------------------------------------------------------------
# Create default config
# ----------------------------------------------------------------------------
if [ -f /etc/config.d/${package_name} ]
then
    update=true
fi

/var/install/config.d/${package_name}-update.sh

rm -f /var/install/config.d/${package_name}-update.sh

# ---------------------------------------------------------------------------
# start package with update
# ---------------------------------------------------------------------------
if ${update:-false}
then
    /var/install/config.d/${package_name}.sh --quiet
fi

exit 0
# ----------------------------------------------------------------------------
# End
# ----------------------------------------------------------------------------
