#! /bin/sh
# ----------------------------------------------------------------------------
# /tmp/preinstall.sh - dhcpd_debug preinstallation script
#
# Creation   : 2011-05-20 root
# Last update: $Id: preinstall.sh 58194 2018-09-30 18:31:12Z hbfl $
#
# Copyright (c) 2011 Maximilian Pasternak, max(dot)eisfair(at)bluescreen(dot)de
# Copyright (c) 2018-2019 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ----------------------------------------------------------------------------

# set packages name
package_name=dhcpd_debug

# ----------------------------------------------------------------------------
# Update system
# ----------------------------------------------------------------------------
installed=$(eisman check ${package_name} 2.7.0)

if [ "${installed}" = "new" ]
then
    if [ -f /var/install/deinstall/${package_name} ]
    then
        sh /var/install/deinstall/${package_name} update

        rm -f /var/install/deinstall/${package_name}
        rm -f /etc/filelist.d/${package_name}-files.txt
    fi
fi

exit 0
# ----------------------------------------------------------------------------
# End
# ----------------------------------------------------------------------------

